package cn.superdesk.uniorder.openapicall.thirdpart.szhtxx.paperInvoice.dto.response.SID20BitchLlq.ID0200;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each
 * Java content interface and Java element interface
 * generated in the szhtxxPaperInvoice.SID20BatchProcess.ID0200.response package.
 * <p>An ObjectFactory allows you to programatically
 * construct new instances of the Java representation
 * for XML content. The Java representation of XML
 * content can consist of schema derived interfaces
 * and classes representing the binding of schema
 * type definitions, element declarations and model
 * groups.  Factory methods for each of these are
 * provided in this class.
 */
@XmlRegistry
public class FpxtTypeFactory {

    private final static QName _FPXT_QNAME = new QName("", "FPXT");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: szhtxxPaperInvoice.SID20BatchProcess.ID0200.response
     */
    public FpxtTypeFactory() {
    }

    /**
     * Create an instance of {@link FpxtType }
     */
    public FpxtType createFpxtType() {
        return new FpxtType();
    }

    /**
     * Create an instance of {@link RedInvReqBillType }
     */
    public RedInvReqBillType createRedInvReqBillType() {
        return new RedInvReqBillType();
    }

    /**
     * Create an instance of {@link DataType }
     */
    public DataType createDataType() {
        return new DataType();
    }

    /**
     * Create an instance of {@link OutputType }
     */
    public OutputType createOutputType() {
        return new OutputType();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link FpxtType }{@code >}}
     */
    @XmlElementDecl(namespace = "", name = "FPXT")
    public JAXBElement<FpxtType> createFPXT(FpxtType value) {
        return new JAXBElement<FpxtType>(_FPXT_QNAME, FpxtType.class, null, value);
    }

}
